=== debian/changelog ===
statsmodels (0.9.0-6ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 25 Oct 2019 22:24:26 -0700

statsmodels (0.9.0-6) unstable; urgency=medium

  * Don't change global pickle settings,
    as this can break unrelated code.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 20 Sep 2019 19:23:49 +0100

statsmodels (0.9.0-5) unstable; urgency=medium

  * Update import paths to be compatible with scipy 1.3.
  * Xfail another KalmanFilter test on armhf (#924036).
  * Mark -lib packages Multi-Arch: same.
  * Delete unused patches, document patches upstream status.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 15 Sep 2019 21:50:15 +0100

statsmodels (0.9.0-4) experimental; urgency=medium

  * Loosen singularity detection threshold of VAR model.
  * Make KalmanFilter warning (#924036) work on multiarch arm64/armhf
    and xfail some more related tests.
  * Adapt TestLagmat.test_unknown_trim to work with newer numpy.
  * Loosen TestMultivariateVARUnivariate tolerances on i386.
  * Xfail TestHoltWinters.test_forecast (like upstream).
    Together, the above Closes: #938949.
  * Use Breaks+Replaces for examples move to -doc.  Closes: #938995.
  * Remove no longer needed s390x xfails/warning.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 14 Sep 2019 10:38:33 +0100

statsmodels (0.9.0-3) experimental; urgency=medium

  * Upload to experimental, as 0.9 is an API break (see #931540).
  * Merge 0.8.0-9 packaging into 0.9.  Drop patches no longer needed,
    refresh others.
  * Revert "Disable KalmanFilter on armhf" as it never actually
    worked (see #924036 / LP#1819227).  Instead,
    warn on use and xfail the tests.
  * Add self to Uploaders.
  * Tests now use pytest: add build-dependencies, adapt autopkgtest.
  * Remove test skips that are no longer needed.
  * Change s390x test skips to xfails (to check whether they are
    still needed), and warn if l1_cvxopt_cp is used on s390x.
  * Fix issues due to newer versions of dependencies:
    - AnovaRM column order
    - various issues within test code
  * Fix midrule bug in LaTeX summary output.
  * Clean up stray whitespace.
  * Fix typos.
  * Clarify -lib description.
  * Use https in links, and update Homepage.
  * Update and sort d/copyright.
  * Bump Standards-Version to 4.4.0 (no changes needed).
  * Give a more useful error if cvxopt is not available.
  * Use debhelper-compat.
  * Move examples to the -doc package.
  * Remove obsolete symlink, add symlinks to ease finding docs.
  * Strip timestamps and build paths for reproducibility.
  * Deduplicate documentation images.
  * Fix/improve nocheck/nodoc dependency marking.
  * Categorize build-dependencies.
  * Make -doc Suggest the Python 3 version.
  * Run the R-using examples.
  * Use data from R packages for building examples, instead of
    embedding a copy.  Modify one example to not need r-cran-count.
  * Set Rules-Requires-Root: no.
  * Remove outdated cythonized-files.
  * Don't use pickle for get_rdataset caching, as it is a security hole
    if the cache is shared.  (This invalidates existing cached data;
    it will automatically be re-downloaded if needed.)
  * Warn that load_pickle is for trusted files only.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 30 Aug 2019 07:48:41 +0100

statsmodels (0.8.0-9ubuntu1) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Aug 2019 02:44:08 +0000

statsmodels (0.8.0-9) unstable; urgency=medium

  * Team upload.
  * Disable KalmanFilter on armhf, as it gives wrong results
    (and probably always has).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Mar 2019 14:59:35 +0000

statsmodels (0.8.0-8) unstable; urgency=medium

  * Team upload.
  * Remove outdated information from description.
  * Use sphinx.ext.mathjax rather than no-longer-existing pngmath.
    This also fixes equation display  Closes: #687301
  * Fix spelling.
  * Fix remote -> local requirejs substitution.
  * Use text instead of fetching a logo.
  * Make dataset caching work in Python 3.
  * Extend use_cached_datasets to build more of the examples.
  * Fix path and data layout exceptions in examples.
  * Re-enable build-time tests, and clean up files they leave behind.
  * Use upstream tests as autopkgtest.
  * Move metadata to d/u/metadata, update and extend it.
  * Update d/copyright.
  * Fix exceptions due to newer versions of dependencies:
    - "no attribute 'chisqprob'" in discrete_model
    - "shape mismatch...could not be broadcast" in imputation
    - "ufunc 'gammaln' not supported" in discrete_model
    - "object arrays are not supported" in tsa.statespace
    - "module 'pandas' has no attribute 'ols'" in tsa.vector_ar
    - various IndexErrors in KaplanMeier  Closes: #860449
    - "unexpected keyword argument 'format'" in datasets.co2
    - UnicodeDecodeError in parse_lutkepohl_data
    - various issues within test and example code
  * Backport the following from experimental:

  [ Julian Taylor ]
  * Use python3 also for fold_toc.py
  * Use fixed locale for documentation build

  [ Andreas Tille ]
  * hardening=+all
  * Use libjs-mathjax
  * Extend description of -doc package
  * Remove matplotlib.sphinxext.only_directives option which is
    not used.  Closes: #917754
  * Do not try to access remote locations on buildtime test
    Closes: #882641

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 01 Mar 2019 22:49:09 +0000

statsmodels (0.9.0-2) experimental; urgency=medium

  * Team upload.
  * Version 0.9 closes: #880245
  * Remove matplotlib.sphinxext.only_directives option which is not used
    Closes: #917754
  * Do not try to access remote locations on buildtime test
    Closes: #882641
  * debhelper 12

 -- Andreas Tille <tille@debian.org>  Wed, 13 Feb 2019 09:27:21 +0100

statsmodels (0.9.0-1) experimental; urgency=medium


