## statsmodels 0.10.1

=== requirements.txt ===
numpy>=1.11
scipy>=0.18
pandas>=0.19
patsy>=0.4
