=== debian/changelog ===
statsmodels (0.10.1-4) experimental; urgency=medium

  * Xfail another actual failure
    and a few other similar tests as #924036.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Nov 2019 22:31:23 +0000

statsmodels (0.10.1-3) experimental; urgency=medium

  * Xfail another (intermittent?) instance of #924036.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 09 Nov 2019 09:51:35 +0000

statsmodels (0.10.1-2) experimental; urgency=medium

  * Fail the build on test failures.
  * Xfail or loosen tolerances on some tests.
    Together, the above Closes: #944054.
  * Use correct Python version for test_lazy_imports.
  * Xfail more tests affected by #924036.
  * Documentation build: fix errors loading pre-cached data,
    load autosummary.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 08 Nov 2019 22:27:02 +0000

statsmodels (0.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, as this might be an API break
    (see #931540).
  * Simplify gbp.conf, import both tarball and upstream git,
    and document this in README.source.
  * Drop patches no longer needed, refresh others.
  * Don't map r-cran-cardata to car: upstream now use the new name.
  * Drop Python 2 packages (see #934870).
  * Use Python 3 shebangs.
  * Don't use setup.py clean, as upstream have disabled it.
  * Use http(s)_proxy instead of a patch to block test downloads.
  * Run build-time tests with the paths they expect.
  * Update d/copyright.
  * Don't install setup.cfg.
  * Don't write to the source tree during tests.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Reproducibility: fix date replacement bug, use UTC time.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Nov 2019 16:56:50 +0000
