=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: statsmodels
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Diane Trout <diane@ghic.org>,
@@ -41,7 +40,7 @@
 # for the comparing-with-R examples, and example datasets
                      r-base-core <!nodoc>,
                      python3-rpy2 <!nodoc>,
-                     r-cran-cardata <!nodoc> | r-cran-car (<< 3.0~) <!nodoc>,
+                     r-cran-cardata <!nodoc>,
                      r-cran-geepack <!nodoc>,
                      r-cran-guerry <!nodoc>,
                      r-cran-lme4 <!nodoc>,
@@ -49,7 +48,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
