=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,13 @@
 export HOME=$(CURDIR)/build
 export MPLCONFIGDIR=$(HOME)
 
+#block internet access
+export http_proxy=127.0.0.1:9
+export https_proxy=127.0.0.1:9
+
 export PY3VER=$(shell py3versions -vd)
-SOURCE_DATE:=$(shell date -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
-SOURCE_TIME:=$(shell date -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
+SOURCE_DATE:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%a, %d %b %Y" || echo "xxx, xx xxx xxxx")
+SOURCE_TIME:=$(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+%T" || echo "xx:xx:xx")
 
 export PYBUILD_NAME=statsmodels
 export PYBUILD_INSTALL_ARGS=--install-layout=deb
@@ -38,7 +42,6 @@
 	mkdir -p build/html
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	python3 debian/datasets/prepopulate_cache.py
-	http_proxy=127.0.0.1:9 \
 	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
 	BUILDDIR=$(CURDIR)/build \
 	STATSMODELS_DATA=$(CURDIR)/build/datacache/ \
@@ -55,7 +58,7 @@
 	: # replace timestamps and build paths in examples output for reproducibility
 	for html in `find build/html examples -name _modules -prune -o -name "*.html" -o -name "*.ipynb"` ; do \
 	    sed -i -e 's#$(CURDIR)/.pybuild/[^/]*/build/statsmodels/#/usr/lib/python3/dist-packages/statsmodels/#g' \
-	    -e 's#\(Date:.*\)[A-Z][a-z]+, +[0-9]+,? +[A-Z][a-z]+,? +[0-9]+#\1$(SOURCE_DATE)#g' \
+	    -e 's#\(Date:.*\)[A-Z][a-z]\+, \+[0-9]\+,\? \+[A-Z][a-z]\+,\? \+[0-9]\+#\1$(SOURCE_DATE)#g' \
 	    -e 's#\(Time:.*\)[0-9][0-9]:[0-9][0-9]:[0-9][0-9]#\1$(SOURCE_TIME)#g' $${html} ; \
 	done
 endif
@@ -69,27 +72,33 @@
 	done
 
 override_dh_auto_clean:
-	dh_auto_clean
+	# this would try to run setup.py clean, which is an error: dh_auto_clean
 	-rm -rf cythonize.dat \
 	       *.egg-info \
 	       *.png \
-	       build/Rtmp build/datacache \
+	       .pybuild \
+	       .pytest_cache \
+	       build \
 	       docs/build/ \
 	       docs/rehab.table \
 	       docs/salary.table \
 	       docs/source/datasets/generated \
+	       docs/source/examples/notebooks \
+	       docs/source/savefig \
 	       docs/source/dev/generated \
 	       docs/source/datasets/statsmodels.datasets.*.rst \
 	       docs/source/examples/notebooks/generated \
 	       examples/executed \
-	       statsmodels/tsa/statespace/_statespace.pyx \
-	       statsmodels/tsa/regime_switching/_hamilton_filter.pyx \
 	       tools/hash_dict.pickle
+	find . -name __pycache__ -print0 | xargs -0 rm -rf
+	find . -name *.pyx -print0 | sed -e "s/\.pyx/.c/g" | xargs -0 rm -f
+	find . -name *.pyx.in -print0 | sed -e "s/\.pyx\.in/.pyx/g" | xargs -0 rm -f
 	: # Remove autogenerated version.py
 	rm -f statsmodels/version.py
 
 override_dh_install:
 	dh_install
+	rm -f debian/*/usr/setup.cfg
 	: # Remove compiled due to testing files
 	find debian -name *.pyc -delete
 	rm -f debian/*/usr/lib/*/dist-packages/enet_poisson.csv debian/*/usr/lib/*/dist-packages/enet_binomial.csv
@@ -97,6 +106,19 @@
 	: # TODO find debian -wholename \*scikits/statsmodels/docs | xargs rm -rf
 	find debian -iname COPYING -o -iname LICENSE* | xargs -r rm -f
 
+# statsmodels has a conftest.py that uses testroot-only features, so the tests must be run from the statsmodels directory, not its parent
+# https://github.com/statsmodels/statsmodels/issues/5108
+# the cd is to be "anywhere but pkgroot" to avoid subprocesses (test_lazy_imports) importing the source tree (current directory is tried before PYTHONPATH), which doesn't work because the built .so files aren't there
+# the inner 'for' (expected to be a single item, cpython3_${testpy3ver}_statsmodels/build) is because globs aren't expanded when setting env vars
+# TEST_SUCCESS is used because the return status of a for-loop is its last item, not the "fail if any of them do" wanted here
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	TEST_SUCCESS=true ; cd tools && for testpy3ver in `py3versions -vs` ; do \
+	for testpath in ../.pybuild/*$${testpy3ver}*/*/statsmodels ; do \
+	PYTHONPATH=$${testpath}/.. python$${testpy3ver} -m pytest -v $${testpath} || TEST_SUCCESS=false ; \
+	rm -rf $${testpath}/.pytest_cache ; \
+	done ; done ; $${TEST_SUCCESS}
+endif
 
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
