## statsmodels 0.10.2

=== debian/changelog ===
statsmodels (0.10.2-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:47:20 +0100

statsmodels (0.10.2-2) unstable; urgency=medium

  * Docs: don't fail the build on no-network exceptions.  Closes: #950087.
  * Remove #945501 cleanup code: not worth the risk in (future) stable.
  * Bump Standards-Version to 4.5.0 (no changes needed).
  * Include offset and exposure in GEE fittedvalues (upstream bug 5253).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 28 Jan 2020 22:29:29 +0000

statsmodels (0.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream, refresh others.
  * Use symlink_to_dir for documentation move,
    and clean up old files.  Closes: #945501.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 03 Dec 2019 21:23:04 +0000

statsmodels (0.10.1-5) unstable; urgency=medium

  * No-change upload to unstable.  Closes: #934870, #931540.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 10 Nov 2019 16:32:41 +0000
