## statsmodels 0.11.1

=== requirements.txt ===
numpy>=1.14
scipy>=1.0
pandas>=0.21
patsy>=0.5.1
