=== debian/changelog ===
statsmodels (0.11.1-1) unstable; urgency=medium

  * Upstream bugfix release.
  * Drop patches applied upstream, refresh others.
  * Don't require a warning scipy only produces on some architectures.
  * Warn that Markov(Auto)regression can give wrong answers on armhf
    and DynamicFactor on ppc64el, and xfail tests.
  * Upload to unstable.  Closes: #950429.
  * Re-enable checking the test suite.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 24 Feb 2020 22:49:06 +0000

statsmodels (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, as this is an API break (see #950429).
  * Drop patches applied upstream, refresh others.
  * Update and sort dependencies.
  * Docs: use nature theme because we don't have sphinx_material,
    remove obsolete GLMNotes,
    don't skip unrunnable examples.
  * Update and sort d/copyright.
  * Fix some test failures (that were not real problems).
  * Use local requirejs.
  * Fix spelling and whitespace.
  * Reproducibility: remove more build paths.
  * Loosen tolerance on another flaky test.
  * Temporarily ignore the test suite to get a first build.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 02 Feb 2020 21:51:06 +0000
