=== debian/control ===
--- 
+++ 
@@ -12,29 +12,31 @@
                cython3,
                python3-all-dev,
                python3-colorama <!nocheck> <!nodoc>,
+               python3-cvxopt <!nocheck> <!nodoc>,
                python3-dateutil <!nocheck> <!nodoc>,
-               python3-cvxopt <!nocheck> <!nodoc>,
+               python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
                python3-numpy,
-               python3-nose <!nocheck>,
+               python3-pandas,
+               python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
-               python3-pandas,
-               python3-patsy <!nocheck> <!nodoc>,
                python3-scipy,
                python3-setuptools,
-               python3-tk <!nocheck> <!nodoc>,
-               python3-joblib <!nocheck> <!nodoc>
-Build-Depends-Indep: ipython3 (>= 5~) <!nodoc> | ipython3-notebook <!nodoc>,
+               python3-tk <!nocheck> <!nodoc>
+Build-Depends-Indep: python3-jupyter-client <!nodoc>,
                      python3-nbconvert <!nodoc>,
-                     python3-jupyter-client <!nodoc>,
-                     python3-ipykernel <!nodoc>,
+                     python3-nbsphinx <!nodoc>,
+                     python3-notebook <!nodoc>,
                      python3-numpydoc <!nodoc>,
+                     python3-seaborn <!nodoc>,
+                     python3-simplegeneric <!nodoc>,
                      python3-sphinx <!nodoc>,
-                     python3-traitlets <!nodoc> | ipython3-notebook <!nodoc>,
+                     python3-yaml <!nodoc>,
                      jdupes <!nodoc>,
 # for intersphinx inventories
+                     python-matplotlib-doc <!nodoc>,
                      python-numpy-doc <!nodoc>,
-                     python-patsy-doc <!nodoc>,
+                     python-scipy-doc <!nodoc>,
                      python-pandas-doc <!nodoc>,
                      python3-doc <!nodoc>,
 # for the comparing-with-R examples, and example datasets
@@ -91,7 +93,7 @@
          python3-numpy,
          python3-scipy,
          python3-statsmodels-lib (>= ${source:Version}),
-         python3-patsy,
+         python3-patsy (>= 0.5.1),
          python3-pandas
 Recommends: python3-matplotlib,
             python3-joblib,
