=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$ADTTMP" ; echo "Testing with $py:"
 ; $py -m pytest -v /usr/lib/python3/dist-packages/statsmodels
 ; done
Depends: python3-all, python3-statsmodels, python3-nose, python3-pytest
Restrictions: allow-stderr
