## statsmodels 0.12.0

=== debian/changelog ===
statsmodels (0.12.0-2build2) hirsute; urgency=medium

  * Don't run tests for a first 3.9 build.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 08:28:11 +0100

statsmodels (0.12.0-2) unstable; urgency=medium

  * Loosen some test tolerances on i386.
  * Require scipy >= 1.5 to avoid autopkgtest failure.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 11 Sep 2020 07:24:40 +0100

statsmodels (0.12.0-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Update d/copyright.
  * Stop using pytest-forked everywhere: it doesn't fully
    handle conditional xfails.
  * Skip slow autopkgtests on non-amd64.
  * On armel, warn on import and ignore all tests (see #968210).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 08 Sep 2020 18:35:08 +0100

statsmodels (0.11.1-5) unstable; urgency=medium

  * Ignore test failures on arm* (see #968210).
  * Use pytest-forked in case there are more crashing tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 16 Aug 2020 19:00:44 +0100

statsmodels (0.11.1-4) unstable; urgency=medium

  * Tests: ignore changes due to matplotlib 3.3 and scipy 1.5.
    Closes: #966712.
  * Bump debhelper compat to 13.
  * Override Lintian warning from test references.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 09 Aug 2020 22:12:11 +0100

statsmodels (0.11.1-3) unstable; urgency=medium

  * Tests: ignore harmless new warnings.  Closes: #964700.
  * Add matplotlib etc to autopkgtest Depends to skip fewer tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 10 Jul 2020 06:46:36 +0100

statsmodels (0.11.1-2) unstable; urgency=medium

  * Tests: don't require a numpy warning that doesn't exist on armel.
    Closes: #956882.
  * Tests: allow no-multiprocessing failures (hurd-i386).
  * Remove inconveniently licensed (CC-BY-SA) snippet.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 24 Apr 2020 15:17:04 +0100
