=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Rebecca N. Palmer <rebecca_palmer@zoho.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                sphinx-common,
                dh-python (>= 3.20180313~),
                cython3,
@@ -17,9 +17,10 @@
                python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
                python3-numpy,
-               python3-pandas,
+               python3-pandas (>= 1.1.3),
                python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
+               python3-pytest-forked <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-tk <!nocheck> <!nodoc>
@@ -91,7 +92,9 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-numpy,
-         python3-scipy,
+# upstream say >1.2 but the amd64 autopkgtest failure happens with 1.4 not 1.5
+# maybe the real problem is what scipy was built with
+         python3-scipy (>= 1.5~),
          python3-statsmodels-lib (>= ${source:Version}),
          python3-patsy (>= 0.5.1),
          python3-pandas
