## statsmodels 0.12.1

=== debian/changelog ===
statsmodels (0.12.1-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Loosen tolerance in TestHoltWinters.test_holt_damp_fit

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 06 Feb 2021 06:11:05 +0000

statsmodels (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * debian patch scipy_1.6_test_bytestring.patch uses string rather
    than bytes in expected message with scipy 1.6 in test_arma_kwargs
    (test_gls.py)
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jan 2021 01:02:15 +1100

statsmodels (0.12.1-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:22:22 +0100

statsmodels (0.12.1-1ubuntu1) hirsute; urgency=medium

  * Loosen tolerance in TestHoltWinters.test_holt_damp_fit

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 07 Nov 2020 11:34:25 +0000

statsmodels (0.12.1-1) unstable; urgency=medium

  * Upstream bugfix release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 05 Nov 2020 07:28:38 +0000
