=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: statsmodels
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>,
            Diane Trout <diane@ghic.org>,
@@ -17,7 +18,7 @@
                python3-joblib <!nocheck> <!nodoc>,
                python3-matplotlib,
                python3-numpy,
-               python3-pandas (>= 1.1.3),
+               python3-pandas,
                python3-patsy (>= 0.5.1) <!nocheck> <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-forked <!nocheck>,
@@ -51,7 +52,7 @@
                      r-cran-robustbase <!nodoc>,
                      r-cran-vcd <!nodoc>,
                      pandoc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/statsmodels
 Vcs-Git: https://salsa.debian.org/science-team/statsmodels.git
